import 'package:json_annotation/json_annotation.dart';
import 'package:mypoint_flutter_app/model/check_update_response_model.dart';

part 'update_response_model.g.dart';

@JsonSerializable()
class UpdateResponseModel {
  @JsonKey(name: 'update_request')
  List<CheckUpdateResponseModel?>? updateRequest;

  UpdateResponseModel({this.updateRequest});

  factory UpdateResponseModel.fromJson(Map<String, dynamic> json) => _$UpdateResponseModelFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateResponseModelToJson(this);
}